### Name: omega
### Title: Calculate McDonald's omega estimates of general and total factor
###   saturation
### Aliases: omega
### Keywords: multivariate models

### ** Examples

## Not run: 
##D test.data <- Harman74.cor$cov
##D my.omega <- omega(test.data,3)       
##D print(my.omega,digits=2)
##D #
##D          
## End(Not run)
#create 9 variables with a hierarchical structure
jen.data <- sim.hierarchical()
#with correlations of
jen.data
#find omega 
if(require(Rgraphviz)) {jen.omega <- omega(jen.data,digits=2)} else {jen.omega <- omega(jen.data,digits=2,plot=FALSE)}
jen.omega

#create 8 items with a two factor solution, showing the use of the flip option
#sim2 <- item.sim(8)
#omega(sim2)   #an example of misidentification-- remember to look at the loadings matrices.
#apply omega to analyze 6 mental ability tests 
data(ability.cov)   #has a covariance matrix
if(require(Rgraphviz)) {omega(ability.cov$cov)} else {omega(ability.cov$cov,plot=FALSE)} 



